/* Navbar and sidebar styling */
@media only screen and (min-width: 992px) {
    /* Make the sidebar always show */
    #sidebar {
        display: block;
    }

    /* Set border outline around the sidebar box */
    #sidebar {
        border-right: 1px solid rgba(128, 128, 128, 0.5);
    }
}
#navbar.navbar {
    margin-bottom: 0px;
    /* Add a scrollbar if the content horizontally overflows */
    overflow-x: auto;
}
#navbar .navbar-nav {
    width: 100%;
    flex-direction: row;
 }
#navbar .navbar-nav img {
    height: 37px;
    margin-right: 1.0rem;
}
#navbar .navbar-nav .nav-link {
    margin-top: 0.5rem;
    margin-right: 1.0rem;
}

/* Display a pointer cursor when hovering over a link */
a {
    cursor: pointer;
}
a:focus {
    outline: none;
}

/* Hide the jQuery alert by-default and place it at the bottom of the page */
#jquery_alert {
    display:  none;
    position: fixed;
    border:   1px solid white;
    left:     0px;
    right:    0px;
    bottom:   0px;
    z-index:  999;
  }

/* Style an svg icon the same way as an image */
span.icon-image-container {
    position: relative;
    display: inline-block;
}
.icon-image-bottom-left svg, .icon-image-bottom-right svg, .icon-image-top-left svg, .icon-image-top-right svg {
    position: absolute;
    height: 16px;
}
.icon-image-bottom-left svg, .icon-image-bottom-right svg {
    bottom: 4px;
}
.icon-image-top-left svg, .icon-image-top-right svg {
    top: 4px;
}
.icon-image-bottom-left svg, .icon-image-top-left svg {
    left: 4px;
}
.icon-image-bottom-right svg, .icon-image-top-right svg {
    right: 4px;
}

/* Superhero theme changes */
.xdebug-error {
    color: rgba( 0, 0, 0, 0.8);
}
.alert-primary, .card {
    background-color: #4E5D6C;
    color: white;
}
.alert-danger {
    background-color: #CD5C5C;
}
.card .list-group {
    margin-bottom: 0px;
}
.table {
    color: #EBEBEB;
}
input.form-check-input[type="checkbox"], input.form-check-input[type="radio"] {
    margin-left: -1.25rem;
}
.form-check-label {
    margin-left: 5px;
}
#top-nav {
    margin-bottom: 0px;
}
.tab-content {
    padding-top: 10px;
}
.nav-tabs .nav-item.show .nav-link, .nav-tabs .nav-link.active {
    color: white;
    background-color: #2b3e50;
    border-bottom: 0;
}
.nav-tabs .nav-link {
    border-bottom: 1px solid white;
    margin-left: -1px;
}
.fade {
    opacity: inherit;
}
.modal-dialog {
    margin: 80px auto;
}
a.icon_link, table a:not(.btn).icon_link, .table a:not(.btn).icon_link {
    text-decoration: none;
}
button.btn-primary > a {
    color: white;
}
.alert a, .alert .alert-link {
    text-decoration: underline;
}
.alert_content {
    word-wrap: break-word;
}
legend {
    margin-bottom: 15px;
}
blockquote {
    font-size: inherit;
}

/* Allow input-group items to sit on one line */
.input-group {
    display: flex;
}

/* Make the input-group-text have a grey background and have white text and match the text-box margin */
.input-group-text {
    font-size:     inherit;
    border-radius: 0px;
    margin-top:    1px;
    margin-bottom: 1px;
    color:         white;
    border-color: #9d9d9d;
}